Package Details: gnustep-back 0.26.2-1

Git Clone URL: https://aur.archlinux.org/gnustep-back.git (read-only)
Package Base: gnustep-back
Description: The GNUstep GUI Backend
Upstream URL: http://www.gnustep.org/
Licenses: LGPL
Groups: gnustep-core
Conflicts: gnustep-back-svn
Submitter: Barthalion
Maintainer: RemoteAdmin
Last Packager: RemoteAdmin
Votes: 7
Popularity: 1.170814
First Submitted: 2018-01-07 16:28
Last Updated: 2018-01-18 05:16

Sources (1)

Latest Comments

Beebo commented on 2018-08-24 20:52

I guess it makes sense to add for any user that wants to build this package: until gnustep upgrades this package from 0.26.2 so that it builds with freetype again, you can force it to build with freetype by adding this

sed -i 's/type=no/type=yes/' configure

to build() in the PKGCONFIG right before the ./configure line. This should some graphical issues in apps, especially gray and black boxes on some transparent graphics.

Beebo commented on 2018-08-22 04:43

Hey, I've been getting this bug at compile-time. This results in transparencies not working correctly and gray/black boxes appearing in place of transparent graphics.

checking Backend Graphics... cairo

configure: WARNING: can't find freetype, required for graphics=cairo

configure: Switching to xlib

I see that freetype2 is a dependency and I have it installed of course, but it doesn't seem to be recognized for some reason. I'll get back to you if I find a solution.

[UPDATE] The build configure relies on freetype-config in order to query information on the freetype installation. Unfortunately, Arch's freetype2 package does not have freetype-config at the moment. Not much that can be done until it gets fixed upstream.

The issue has been open since May, here's the link if you wish to vote on it: https://bugs.archlinux.org/index.php?do=details&action=details.addvote&task_id=58447